#pragma once
#include "Globals.h"

namespace kft {

class UserInput
{
public:
	UserInput() {}

	void reset();
	void reinforce(int pnum, double value);
	void give_command(int pnum, MOVE_ID move);

	double user_reinforcement(int pnum) { return _reinforcement[pnum]; }
	MOVE_ID user_command(int pnum) { return _commands[pnum]; }

private:
	double _reinforcement[2];
	MOVE_ID _commands[2];
};

}
